using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace bdAntifraude.db
{

    public partial class SITUACIONACTUALIRPF
    {

        [NotMapped]
        public bool NECESITAAYUDADETERCERASPERSONASOMOVILIDADREDUCIDA
        {
            get
            {
                return NECEAYUDATERCPERSOMOVILRED;
            }
            set
            {
                this.NECEAYUDATERCPERSOMOVILRED = value;
            }
        }

        [NotMapped]
        public bool PROLONGACIONDELAACTIVIDADLABORAL
        {
            get
            {
                return PROLONGACTLABORAL;
            }
            set
            {
                this.PROLONGACTLABORAL = value;
            }
        }
        [NotMapped]
        public decimal RETRIBUCIONESTOTALESIMPORTEINTEGRO
        {
            get
            {
                return RETRTOTALESIMPORTEINTEGRO;
            }
            set
            {
                this.RETRTOTALESIMPORTEINTEGRO = value;
            }
        }
        [NotMapped]
        public bool DATOSANTERIORESRENDIMIENTOSOBTENIDOSCEUTAOMELILLA
        {
            get
            {
                return DATANTERRENDIOBTENCEUOMEL;
            }
            set
            {
                this.DATANTERRENDIOBTENCEUOMEL = value;
            }
        }
        [NotMapped]
        public decimal PENSIONCOMPENSATORIAAFAVORDELCONYUGE
        {
            get
            {
                return PENSCOMPENFAVORCONYUGE;
            }
            set
            {
                this.PENSCOMPENFAVORCONYUGE = value;
            }
        }
        [NotMapped]
        public decimal ANUALIDADESPORALIMENTOSENFAVORDELOSHIJOS
        {
            get
            {
                return ANUALPORALIFAVORHIJOS;
            }
            set
            {
                this.ANUALPORALIFAVORHIJOS = value;
            }
        }
        [NotMapped]
        public bool RETRIBUCIONESINTEGRASINFERIORES33MIL
        {
            get
            {
                return RETRIINTEINFER33MIL;
            }
            set
            {
                this.RETRIINTEINFER33MIL = value;
            }
        }
        [NotMapped]
        public decimal RETRIBUCIONESYASATISFECHASCONANTERIORIDADALAREGULARIZACION
        {
            get
            {
                return RETRIYASATISCONANTERAREGULAR;
            }
            set
            {
                this.RETRIYASATISCONANTERAREGULAR = value;
            }
        }
        [NotMapped]
        public decimal RETENCIONESEINGRESOSACUENTAYAPRACTICADOSCONANTAREGULA
        {
            get
            {
                return RETEINGRACUENTAPRACTANTAREG;
            }
            set
            {
                this.RETEINGRACUENTAPRACTANTAREG = value;
            }
        }
        [NotMapped]
        public decimal RETRIBUCIONESANUALESCONSIDERADASCONANTERIORIDADREGULARIZACION
        {
            get
            {
                return RETRIANUALCONSICONANTREG;
            }
            set
            {
                this.RETRIANUALCONSICONANTREG = value;
            }
        }
        [NotMapped]
        public decimal IMPORTEANUALDELASRETENCIONESEINGRESOSACUENTADETERMINADASANTESREG
        {
            get
            {
                return IMPANURETEINGRACUENDETANTREG;
            }
            set
            {
                this.IMPANURETEINGRACUENDETANTREG = value;
            }
        }
        [NotMapped]
        public bool LOSRENDIMIENTOSANTERIORESFUERONENCEUTAOMELILLA
        {
            get
            {
                return RENDANTFUERONCEUOMEL;
            }
            set
            {
                this.RENDANTFUERONCEUOMEL = value;
            }
        }
        [NotMapped]
        public decimal BASEPARACALCULARELTIPORETENCIONDETERMINADOANTESREGULARIZACION
        {
            get
            {
                return BASECALCTIPRETDETANTREGULAR;
            }
            set
            {
                this.BASECALCTIPRETDETANTREGULAR = value;
            }
        }
        [NotMapped]
        public decimal MINIMOPERSONALYFAMILIARPARACALCULARRETENCIONANTESREGULARIZACION
        {
            get
            {
                return MINPERSYFAMCALCRETANTREGU;
            }
            set
            {
                this.MINPERSYFAMCALCRETANTREGU = value;
            }
        }
        [NotMapped]
        public decimal TIPODERETENCIONCALCULADOANTESREGULARIZACION
        {
            get
            {
                return TIPRETENCALCANTREGU;
            }
            set
            {
                this.TIPRETENCALCANTREGU = value;
            }
        }
        [NotMapped]
        public bool ANTESDELAREGSEAPLICOMINORACIONPORPAGOSDEPRESTAMOSVIVIENDA
        {
            get
            {
                return ANTREGSEAPLMINORPAGPRESVIV;
            }
            set
            {
                this.ANTREGSEAPLMINORPAGPRESVIV = value;
            }
        }
        [NotMapped]
        public decimal IMPORTEMINORACIONPORPAGOSPRESTAMOSPARALAVIVIENDAANTESREG
        {
            get
            {
                return IMPMINPAGPRESTVIVANTREG;
            }
            set
            {
                this.IMPMINPAGPRESTVIVANTREG = value;
            }
        }
        [NotMapped]
        public decimal MINIMOPERSONALYFAMILIARPARACALCULARRETENCION
        {
            get
            {
                return MINPERSYFAMCALCRETEN;
            }
            set
            {
                this.MINPERSYFAMCALCRETEN = value;
            }
        }
        [NotMapped]
        public bool MINORACIONPORPAGOSPRESTAMOSVIVIENDAHABITUAL
        {
            get
            {
                return MINPAGPRESTVIVHA;
            }
            set
            {
                this.MINPAGPRESTVIVHA = value;
            }
        }
    }
}